package com.yihu.jw.entity.care.sign;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.Date;

/**
 * Created by yeshijie on 2021/2/25.
 */
@Entity
@Table(name = "base_capacity_assessment_record")
public class CapacityAssessmentRecordDO extends UuidIdentityEntityWithCreateTime {

    private String patient;
    /**
     * 姓名
     */
    private String name;

    /**
     * 生日
     */
    private Date birthday;

    /**
     * 性别，1男，2女
     */
    private Integer sex;
    private String sexName;

    /**
     * 手机号
     */
    private String mobile;
    /**
     * 身份证
     */
    private String idcard;
    /**
     * 户籍地
     */
    private String registeredResidence;
    /**
     * 居住地
     */
    private String liveAddress;
    /**
     * 评估时间
     */
    private Date assessmentTime;
    /**
     * 评估地点
     */
    private String assessmentAddress;
    /**
     * 日常生活活动能力等级
     * 能力完好（0级） 轻度受损（1级） 中度受损（2级） 重度受损（3级）
     */
    private Integer livingAbility;
    private String livingAbilityName;
    /**
     * 认知能力
     * 能力完好（0级） 轻度受损（1级） 中度受损（2级） 重度受损（3级）
     */
    private Integer cognitiveAbility;
    private String cognitiveAbilityName;
    /**
     *精神状态与社会交流能力
     * 能力完好（0级） 轻度受损（1级） 中度受损（2级） 重度受损（3级）
     */
    private Integer socialAbility;
    private String socialAbilityName;
    /**
     * 能力总体评价
     * 能力完好（0级） 轻度失能（1级） 中度失能（2级） 重度失能（3级）
     */
    private Integer comprehensiveAbility;
    private String comprehensiveAbilityName;
    /**
     * 等级结论
     * 能力完好（0级） 轻度失能（1级） 中度失能（2级） 重度失能（3级）
     */
    private Integer levelConclusion;
    private String levelConclusionName;
    private String doctor;
    private String doctorName;
    private String orgCode;
    private String orgName;
    /**
     * 认可结果（0未认可，1已认可，2不认可）
     */
    private Integer status;
    private String statusName;
    /**
     * 签字结果图片url
     */
    private String signUrl;
    /**
     * 居民签字时间
     */
    private Date signTime;
    /**
     * 是否分配服务包（0未分配，1已分配）
     */
    private Integer servicePackageStatus;
    private String servicePackageStatusName;

    /**
     * 年纪
     */
    private Integer age;
    private String photo;

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getRegisteredResidence() {
        return registeredResidence;
    }

    public void setRegisteredResidence(String registeredResidence) {
        this.registeredResidence = registeredResidence;
    }

    public String getLiveAddress() {
        return liveAddress;
    }

    public void setLiveAddress(String liveAddress) {
        this.liveAddress = liveAddress;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
    public Date getAssessmentTime() {
        return assessmentTime;
    }

    public void setAssessmentTime(Date assessmentTime) {
        this.assessmentTime = assessmentTime;
    }

    public String getAssessmentAddress() {
        return assessmentAddress;
    }

    public void setAssessmentAddress(String assessmentAddress) {
        this.assessmentAddress = assessmentAddress;
    }

    public Integer getLivingAbility() {
        return livingAbility;
    }

    public void setLivingAbility(Integer livingAbility) {
        this.livingAbility = livingAbility;
    }

    public Integer getCognitiveAbility() {
        return cognitiveAbility;
    }

    public void setCognitiveAbility(Integer cognitiveAbility) {
        this.cognitiveAbility = cognitiveAbility;
    }

    public Integer getSocialAbility() {
        return socialAbility;
    }

    public void setSocialAbility(Integer socialAbility) {
        this.socialAbility = socialAbility;
    }

    public Integer getComprehensiveAbility() {
        return comprehensiveAbility;
    }

    public void setComprehensiveAbility(Integer comprehensiveAbility) {
        this.comprehensiveAbility = comprehensiveAbility;
    }

    public Integer getLevelConclusion() {
        return levelConclusion;
    }

    public void setLevelConclusion(Integer levelConclusion) {
        this.levelConclusion = levelConclusion;
    }

    public String getDoctor() {
        return doctor;
    }

    public void setDoctor(String doctor) {
        this.doctor = doctor;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSignUrl() {
        return signUrl;
    }

    public void setSignUrl(String signUrl) {
        this.signUrl = signUrl;
    }

    public Integer getServicePackageStatus() {
        return servicePackageStatus;
    }

    public void setServicePackageStatus(Integer servicePackageStatus) {
        this.servicePackageStatus = servicePackageStatus;
    }

    public Date getSignTime() {
        return signTime;
    }

    public void setSignTime(Date signTime) {
        this.signTime = signTime;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    @Transient
    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }
    @Transient
    public String getSexName() {
        return sexName;
    }

    public void setSexName(String sexName) {
        this.sexName = sexName;
    }
    @Transient
    public String getLivingAbilityName() {
        return livingAbilityName;
    }

    public void setLivingAbilityName(String livingAbilityName) {
        this.livingAbilityName = livingAbilityName;
    }
    @Transient
    public String getCognitiveAbilityName() {
        return cognitiveAbilityName;
    }

    public void setCognitiveAbilityName(String cognitiveAbilityName) {
        this.cognitiveAbilityName = cognitiveAbilityName;
    }
    @Transient
    public String getSocialAbilityName() {
        return socialAbilityName;
    }

    public void setSocialAbilityName(String socialAbilityName) {
        this.socialAbilityName = socialAbilityName;
    }
    @Transient
    public String getComprehensiveAbilityName() {
        return comprehensiveAbilityName;
    }

    public void setComprehensiveAbilityName(String comprehensiveAbilityName) {
        this.comprehensiveAbilityName = comprehensiveAbilityName;
    }
    @Transient
    public String getLevelConclusionName() {
        return levelConclusionName;
    }

    public void setLevelConclusionName(String levelConclusionName) {
        this.levelConclusionName = levelConclusionName;
    }
    @Transient
    public String getStatusName() {
        return statusName;
    }

    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }
    @Transient
    public String getServicePackageStatusName() {
        return servicePackageStatusName;
    }

    public void setServicePackageStatusName(String servicePackageStatusName) {
        this.servicePackageStatusName = servicePackageStatusName;
    }
}
